Bug 16274 - Make the selfregistration branchcode selection configurable
Summary: Make the selfregistration branchcode selection configurable
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 27604 27618
  Show dependency treegraph
 
Reported: 2016-04-15 13:08 UTC by Nicolas Legrand
Modified: 2021-02-04 08:18 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16274: Add the new pref PatronSelfRegistrationLibraryList (3.40 KB, patch)
2016-04-25 08:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16274: Limit the patron self registration to some libraries (1.83 KB, patch)
2016-04-25 08:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16274: Add the new pref PatronSelfRegistrationLibraryList (3.46 KB, patch)
2016-05-04 08:51 UTC, Nicolas Legrand
Details | Diff | Splinter Review
Bug 16274: Limit the patron self registration to some libraries (1.89 KB, patch)
2016-05-04 08:52 UTC, Nicolas Legrand
Details | Diff | Splinter Review
Bug 16274: Add the new pref PatronSelfRegistrationLibraryList (3.51 KB, patch)
2016-08-12 15:59 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16274: Limit the patron self registration to some libraries (1.90 KB, patch)
2016-08-12 15:59 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16274: Add the new pref PatronSelfRegistrationLibraryList (3.61 KB, patch)
2016-09-12 14:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16274: Limit the patron self registration to some libraries (3.52 KB, patch)
2016-09-12 14:50 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Legrand 2016-04-15 13:08:42 UTC
We would like to set the list of branchcodes available for selfregistration and not having all of them.

A syspref containing a string with branchcode separated by a pipe should be fine.
Comment 1 Jonathan Druart 2016-04-25 08:59:48 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2016-04-25 08:59:52 UTC Comment hidden (obsolete)
Comment 3 Nicolas Legrand 2016-05-04 08:51:25 UTC Comment hidden (obsolete)
Comment 4 Nicolas Legrand 2016-05-04 08:52:28 UTC Comment hidden (obsolete)
Comment 5 Nick Clemens 2016-08-12 15:59:32 UTC Comment hidden (obsolete)
Comment 6 Nick Clemens 2016-08-12 15:59:38 UTC Comment hidden (obsolete)
Comment 7 Nick Clemens 2016-08-12 16:02:07 UTC
Cleared small conflict (removal of GetTitles() )
Comment 8 Kyle M Hall 2016-09-09 12:55:52 UTC
GetBranchesLoop has been removed, this patch set will need to be updated.
Comment 9 Jonathan Druart 2016-09-12 14:50:15 UTC
Created attachment 55492 [details] [review]
Bug 16274: Add the new pref PatronSelfRegistrationLibraryList

Sponsored-by: BULAC - http://www.bulac.fr/
Signed-off-by: Nicolas Legrand <nicolas.legrand@bulac.fr>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 10 Jonathan Druart 2016-09-12 14:50:18 UTC
Created attachment 55493 [details] [review]
Bug 16274: Limit the patron self registration to some libraries

Currently a patron can select a home library in the list of all
libraries defined in the system.
However some of these libraries might not accept self registration.
This patch adds a new pref to display only the allowed libraries.

Test plan:
0/ Apply the patch, do not fill the new pref
1/ Self register a new patron
=> All the libraries defined should be displayed in the "Home library"
dropwdown list
2/ Fill the pref PatronSelfRegistrationLibraryList with some of the
branchcode defined in the system
=> Self register a new patron and confirm that the dropdown list has
been filtered.

Sponsored-by: BULAC - http://www.bulac.fr/
Signed-off-by: Nicolas Legrand <nicolas.legrand@bulac.fr>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 11 Kyle M Hall 2016-09-12 16:39:21 UTC
Pushed to master for 16.11, thanks Jonathan!